diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ShortArrayTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ShortArrayTagComponent.java
index 3e71cb7e3..0e31032a3 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ShortArrayTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ShortArrayTagComponent.java
@@ -2,7 +2,7 @@ package net.minecraft.client.gui.nbteditor.components;
 
 import com.mojang.nbt.tags.ShortArrayTag;
 import net.minecraft.client.gui.Screen;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.render.texture.stitcher.IconCoordinate;
 import net.minecraft.client.render.texture.stitcher.TextureRegistry;
 import net.minecraft.core.util.helper.DyeColor;
@@ -21,13 +21,13 @@ public class ShortArrayTagComponent extends ArrayTagComponent<short[]> {
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + width(mx, my, partialTick), offY + height(mx, my, partialTick), isHovered(mx, my, partialTick) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
-        attachedScreen.fontRenderer.render(t, " shorts", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(this.tag.getValue().length, attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
+        attachedScreen.fontRenderer.render(" shorts", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).call();
     }
 
     @Override
diff --git a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ValueTagComponent.java b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ValueTagComponent.java
index 27bcc7032..8ba6c53ae 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ValueTagComponent.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/nbteditor/components/ValueTagComponent.java
@@ -4,7 +4,7 @@ import com.mojang.logging.LogUtils;
 import com.mojang.nbt.tags.Tag;
 import net.minecraft.client.gui.Screen;
 import net.minecraft.client.gui.popup.PopupBuilder;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.core.util.helper.DyeColor;
 import org.jetbrains.annotations.NotNull;
 import org.slf4j.Logger;
@@ -16,12 +16,12 @@ public abstract class ValueTagComponent<T> extends AbstractTagComponent<T>{
     }
 
     @Override
-    public void render(@NotNull Tessellator t, int offX, int offY, int mx, int my, float partialTick) {
+    public void render(@NotNull TessellatorGeneral t, int offX, int offY, int mx, int my, float partialTick) {
         super.render(t, offX, offY, mx, my, partialTick);
         drawRect(offX + 12 + COMPONENT_PADDING, offY, offX + width(mx, my, partialTick), offY + height(mx, my, partialTick), isHovered(mx, my, partialTick) ? COLOR_BACKGROUND_HIGHLIGHTED : COLOR_BACKGROUND);
-        attachedScreen.fontRenderer.render(t, tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, ": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
-        attachedScreen.fontRenderer.render(t, tag.getValue().toString(), attachedScreen.fontRenderer.getLastEndingX(), offY + 2).call();
+        attachedScreen.fontRenderer.render(tag.getTagName(), offX + 12 + COMPONENT_PADDING + TEXT_PADDING, offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(": ", attachedScreen.fontRenderer.getLastEndingX(), offY + TEXT_PADDING).setColor(DyeColor.YELLOW.color).call();
+        attachedScreen.fontRenderer.render(tag.getValue().toString(), attachedScreen.fontRenderer.getLastEndingX(), offY + 2).call();
     }
 
     @Override
